<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: init_taylorgreenvortex Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">init_taylorgreenvortex Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a40cee8dbcbf86cd975ee1cd1144f1bd5"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__taylorgreenvortex.html#a40cee8dbcbf86cd975ee1cd1144f1bd5">define_taylorgreenvortex_vars</a> (nvars, varnames, compr)</td></tr>
<tr class="separator:a40cee8dbcbf86cd975ee1cd1144f1bd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add0d9819377f94ee16b5a289478f2ca7"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinit__taylorgreenvortex.html#add0d9819377f94ee16b5a289478f2ca7">init_taylorgreenvortex_field</a> (sd, compr)</td></tr>
<tr class="separator:add0d9819377f94ee16b5a289478f2ca7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a40cee8dbcbf86cd975ee1cd1144f1bd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40cee8dbcbf86cd975ee1cd1144f1bd5">&#9670;&nbsp;</a></span>define_taylorgreenvortex_vars()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public init_taylorgreenvortex::define_taylorgreenvortex_vars </td>
          <td>(</td>
          <td class="paramtype">integer, intent(inout)&#160;</td>
          <td class="paramname"><em>nvars</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=str_medium), dimension(:), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>varnames</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in)&#160;</td>
          <td class="paramname"><em>compr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceinit__taylorgreenvortex_a40cee8dbcbf86cd975ee1cd1144f1bd5_cgraph.png" border="0" usemap="#namespaceinit__taylorgreenvortex_a40cee8dbcbf86cd975ee1cd1144f1bd5_cgraph" alt=""/></div>
<map name="namespaceinit__taylorgreenvortex_a40cee8dbcbf86cd975ee1cd1144f1bd5_cgraph" id="namespaceinit__taylorgreenvortex_a40cee8dbcbf86cd975ee1cd1144f1bd5_cgraph">
<area shape="rect" id="node2" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="257,13,353,39"/>
<area shape="rect" id="node3" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="401,5,532,47"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceinit__taylorgreenvortex_a40cee8dbcbf86cd975ee1cd1144f1bd5_icgraph.png" border="0" usemap="#namespaceinit__taylorgreenvortex_a40cee8dbcbf86cd975ee1cd1144f1bd5_icgraph" alt=""/></div>
<map name="namespaceinit__taylorgreenvortex_a40cee8dbcbf86cd975ee1cd1144f1bd5_icgraph" id="namespaceinit__taylorgreenvortex_a40cee8dbcbf86cd975ee1cd1144f1bd5_icgraph">
<area shape="rect" id="node2" href="namespaceinit__specific__flow.html#a6d45708a61f03801a0012003ccbc46f2" title="init_specific_flow\l::define_specific_flow_vars" alt="" coords="257,5,437,47"/>
<area shape="rect" id="node3" href="init__flow_8f90.html#a4520946850f5f87e24f6b14c7000d651" title="init_flow" alt="" coords="485,13,556,39"/>
</map>
</div>

</div>
</div>
<a id="add0d9819377f94ee16b5a289478f2ca7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add0d9819377f94ee16b5a289478f2ca7">&#9670;&nbsp;</a></span>init_taylorgreenvortex_field()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public init_taylorgreenvortex::init_taylorgreenvortex_field </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in)&#160;</td>
          <td class="paramname"><em>compr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespaceinit__taylorgreenvortex_add0d9819377f94ee16b5a289478f2ca7_icgraph.png" border="0" usemap="#namespaceinit__taylorgreenvortex_add0d9819377f94ee16b5a289478f2ca7_icgraph" alt=""/></div>
<map name="namespaceinit__taylorgreenvortex_add0d9819377f94ee16b5a289478f2ca7_icgraph" id="namespaceinit__taylorgreenvortex_add0d9819377f94ee16b5a289478f2ca7_icgraph">
<area shape="rect" id="node2" href="namespaceinit__specific__flow.html#aadb56c2e95d040a81f2bafb0daa82c3b" title="init_specific_flow\l::init_specific_flow_field" alt="" coords="239,188,400,229"/>
<area shape="rect" id="node3" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="453,5,607,47"/>
<area shape="rect" id="node5" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="466,71,594,112"/>
<area shape="rect" id="node7" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="448,137,612,163"/>
<area shape="rect" id="node9" href="namespacenga__cf__cold__func.html#aacd6b98963e282fe35d095621ad01930" title="nga_cf_cold_func::cf\l_cold_init" alt="" coords="459,188,601,229"/>
<area shape="rect" id="node11" href="namespacenga__if__func.html#a1cf1bb54c5fa75e6fbf56cde70720527" title="nga_if_func::if_init" alt="" coords="466,254,594,281"/>
<area shape="rect" id="node13" href="namespacenga__x__func.html#a939e581f76d89434778319764f09d0a6" title="nga_x_func::x_init" alt="" coords="466,305,594,331"/>
<area shape="rect" id="node15" href="namespaceparam__ciao.html#a44466c4427a87b55392d37b33a411738" title="param_ciao::param_ciao\l_write" alt="" coords="448,356,612,397"/>
<area shape="rect" id="node4" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="663,13,749,39"/>
<area shape="rect" id="node6" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="675,78,737,105"/>
<area shape="rect" id="node8" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="684,137,728,163"/>
<area shape="rect" id="node10" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="660,195,752,222"/>
<area shape="rect" id="node12" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="677,254,735,281"/>
<area shape="rect" id="node14" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="677,305,735,331"/>
<area shape="rect" id="node16" href="init__flow_8f90.html#a4520946850f5f87e24f6b14c7000d651" title="init_flow" alt="" coords="671,363,741,390"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
